curl --request PUT \
--url https://api.mn.co/admin/v1/networks/{network_id}/invites/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_email": "claude@example.com",
"recipient_first_name": "Claude",
"recipient_last_name": "Monet",
"user_id": 123
}
'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/invites/{id}/"
payload = {
"recipient_email": "claude@example.com",
"recipient_first_name": "Claude",
"recipient_last_name": "Monet",
"user_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient_email: 'claude@example.com',
recipient_first_name: 'Claude',
recipient_last_name: 'Monet',
user_id: 123
})
};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/invites/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipient_email": "claude@example.com",
"recipient_first_name": "Claude",
"recipient_last_name": "Monet",
"id": "1234",
"created_at": "2026-09-04T21:33:14+00:00",
"updated_at": "2026-09-04T21:33:14+00:00",
"sender_id": 123,
"user_id": 123
}Update an invite
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the invite to update
The Network's unique integer ID, or subdomain Unique numeric network ID
Body
Submit results as JSON
Invites allow users and admins to invite new users to the Network
The recipients email address
"claude@example.com"
The recipient's first name
"Claude"
The recipient's last name
"Monet"
The ID of the user to record as the creator of the invite.
If not provided, defaults to the owner of the authored API key.
Response
Updates an invite and returns its new state
Invites allow users and admins to invite new users to the Network
The recipient's email address. Empty once the recipient has joined the Network and withheld consent to commercial email.
"claude@example.com"
The recipient's first name
"Claude"
The recipient's last name
"Monet"
The record's integer ID
"1234"
The date and time the record was created
"2026-09-04T21:33:14+00:00"
The date and time the record was last modified
"2026-09-04T21:33:14+00:00"
The ID of the user that created the invitation
Deprecated: Use sender_id instead